Results 1 to 9 of 9

Thread: missing wifitapscapy

  1. #1
    Join Date
    2013-Mar
    Posts
    3

    missing wifitapscapy

    misiing files wifitapscapy for most of the wifi cracking tools


    wifiarp

    Psyco optimizer not installed, running anyway...
    Traceback (most recent call last):
    File "/usr/bin/wifiarp", line 36, in <module>
    from wifitapscapy import Raw,Ether,PrismHeader,Dot11,Dot11WEP,LLC,SNAP,send p,conf
    ImportError: No module named wifitapscapy
    wifidns

    Psyco optimizer not installed, running anyway...
    Traceback (most recent call last):
    File "/usr/bin/wifidns", line 36, in <module>
    from wifitapscapy import Raw,Ether,PrismHeader,Dot11,Dot11WEP,LLC,SNAP,send p,conf
    ImportError: No module named wifitapscapy
    wifitap

    Psyco optimizer not installed, running anyway...
    Traceback (most recent call last):
    File "/usr/bin/wifitap", line 35, in <module>
    from wifitapscapy import Raw,Ether,PrismHeader,Dot11,Dot11WEP,LLC,SNAP,send p,conf
    ImportError: No module named wifitapscapy

    there was a few others just to lazy to list them all

  2. #2
    Join Date
    2013-Mar
    Posts
    3
    This should fix it:

    Code:
    mv /usr/share/wifitapscapy.py /usr/share/wifitap/

  3. #3
    Join Date
    2013-Mar
    Posts
    65
    Quote Originally Posted by l1nc0n4t0r View Post
    This should fix it:

    Code:
    mv /usr/share/wifitapscapy.py /usr/share/wifitap/
    Although that may fix it, I would recommend a cp over an mv...

  4. #4
    Join Date
    2013-Mar
    Location
    127.0.0.1
    Posts
    2
    Quote Originally Posted by brav0hax View Post
    Although that may fix it, I would recommend a cp over an mv...
    Ummmm, why not use a symbolic link???
    Code:
    ln -s /usr/share/wifitapscapy.py /usr/share/wifitap/.

  5. #5
    Join Date
    2014-Feb
    Location
    Russia Taganrog
    Posts
    4
    Quote Originally Posted by phillips321 View Post
    Ummmm, why not use a symbolic link???
    Code:
    ln -s /usr/share/wifitapscapy.py /usr/share/wifitap/.
    And what can i do if this won`t help ?

    "Psyco optimizer not installed, running anyway...
    INFO: did not find python gnuplot wrapper . Won't be able to plot
    INFO: Can't open /etc/ethertypes file"

  6. #6
    Join Date
    2014-Feb
    Location
    Russia Taganrog
    Posts
    4
    Hmm i get this erorr :

    Psyco optimizer not installed, running anyway...
    INFO: did not find python gnuplot wrapper . Won't be able to plot
    INFO: Can't open /etc/ethertypes file
    Traceback (most recent call last):
    File "/usr/bin/wifitap", line 67, in <module>
    opts = getopt.getopt(sys.argv[1:],"b:i:s:w:k:dvh")
    File "/usr/lib/python2.7/getopt.py", line 90, in getopt
    opts, args = do_shorts(opts, args[0][1:], shortopts, args[1:])
    File "/usr/lib/python2.7/getopt.py", line 194, in do_shorts
    opt)
    getopt.GetoptError: option -b requires argument

    And i download the last version of Kali, and already update it.

  7. #7
    Join Date
    2014-Feb
    Location
    Russia Taganrog
    Posts
    4
    I solve part of the problem. For working wifitap you need working scapy (http://www.secdev.org/projects/scapy/portability.html). Install python-gnuplot package, ethertypes file can be downloaded from there and put in the /etc directory. But with psyco there is a problem. On
    this page and on the homepage of psyco wrote - "Python 2.7 is unsupported so far." and even "Psyco is unmaintained and dead. Please look at PyPy for the state-of-the-art in JIT compilers for Python." And what can i do with the wifitap and psyco in that OS ? Kali has a 2.7.3 Python version.
    Last edited by sirgrey; 2014-02-18 at 18:32.

  8. #8
    Quote Originally Posted by sirgrey View Post
    Hmm i get this erorr :

    Psyco optimizer not installed, running anyway...
    INFO: did not find python gnuplot wrapper . Won't be able to plot
    INFO: Can't open /etc/ethertypes file
    Traceback (most recent call last):
    File "/usr/bin/wifitap", line 67, in <module>
    opts = getopt.getopt(sys.argv[1:],"b:i:s:w:k:dvh")
    File "/usr/lib/python2.7/getopt.py", line 90, in getopt
    opts, args = do_shorts(opts, args[0][1:], shortopts, args[1:])
    File "/usr/lib/python2.7/getopt.py", line 194, in do_shorts
    opt)
    getopt.GetoptError: option -b requires argument

    And i download the last version of Kali, and already update it.
    I get this error to. Please help

  9. #9
    Join Date
    2014-Feb
    Location
    Russia Taganrog
    Posts
    4
    Quote Originally Posted by arthurcameron View Post
    I get this error to. Please help
    Did you get this errors in the debuding mode ? Or in simple start ? And did you updated your system ?

Similar Threads

  1. Missing /su in root?
    By SimbaClaws in forum NetHunter General Questions
    Replies: 1
    Last Post: 2017-03-17, 10:15
  2. VPN missing
    By mamak in forum TroubleShooting Archive
    Replies: 0
    Last Post: 2015-08-12, 11:57
  3. zip2john missing
    By rbeede in forum General Archive
    Replies: 2
    Last Post: 2013-11-14, 01:42
  4. Missing APT Repo's? [FIX]
    By nykon in forum TroubleShooting Archive
    Replies: 2
    Last Post: 2013-03-14, 15:50

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •